
Redmine - Feature #371

Show time tracking in the changelog/roadmap

2007-06-20 21:27 - Damien McKenna

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

In the interests of using Redmine for time tracking, it would be really useful to be able to display the time taken

on each issue on the changelog and/or roadmap page, possibly also with a total given for each version.

Related issues:

Related to Redmine - Feature #2587: Improvement of built-in issue reports in ... Closed 2009-01-26

Related to Redmine - Patch #1671: Show a breakdown of estimated/spent/remaini... New 2008-07-21

Related to Redmine - Patch #3245: Roadmap - show Estimated Time and Spent Time New 2009-04-27

History

#1 - 2007-06-20 22:02 - Damien McKenna

Change app/views/projects/changelog.rhtml line 32:

<li><%= link_to_issue(issue) >: <=h

issue.subject >< if

issue.spent_hours > 0 then > (<= l(:label_f_hour_plural,

issue.spent_hours) %

)<% end %></li>

#2 - 2008-12-08 15:24 - Mischa The Evil

Damien McKenna wrote:

Change app/views/projects/changelog.rhtml line 32:

 Wrapped in code-tags, the modified line 22 (Redmine 0.8.0-RC1) looks like:

<li><%= link_to_issue(issue) %>: <%=h issue.subject %><% if issue.spent_hours > 0 %> (<%= l(:label_f_hour_plur

al, issue.spent_hours) %>)<% end %></li>

#3 - 2009-11-23 00:27 - Mischa The Evil

- Category set to Roadmap

I've added the following related issues:

#1671 (nice but outdated patch which adds detailed timelog info on the roadmap page and which adds some new selectors in the roadmap

grouping component)

#2587 (feature request for something that was included in the previous mentioned patch #1671)

#3245 (a patch which changes the Roadmap view to also show issue's estimated time and spent time, similar to Goyello's Roadmap Upgrade

plugin (http://github.com/GOYELLO/Redmine_roadmap_upgrade))
